/**
 * TERMS AND CONDITIONS:
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.backup.zipsnap.ng.gui.util;

import javax.swing.JPanel;
import javax.swing.JProgressBar;
import javax.swing.JLabel;
import java.awt.Font;

public class LoadingPanel extends JPanel {

	private static final long serialVersionUID = -5083321400434236431L;

	/*
	 * Create the loading panel
	 */
	public LoadingPanel() {
		/* set the layout */
		setLayout(null);
		setBounds(0, 0, 1014, 660);
		
		/* draw the panel */
		JLabel lblLoading = new JLabel("Loading...");
		lblLoading.setFont(new Font("Tahoma", Font.PLAIN, 18));
		lblLoading.setBounds(490, 236, 121, 34);
		add(lblLoading);
		JProgressBar progressBar = new JProgressBar();
		progressBar.setMaximum(10);
		progressBar.setIndeterminate(true);
		progressBar.setBounds(326, 271, 404, 25);
		add(progressBar);
	}
}
